

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#ifdef HILDONIZED
#include <libosso.h>
#endif

#include "interface.h"
#include "support.h"
#include "callbacks.h"
#include "appdata.h"

int
main (int argc, char *argv[])
{

#ifdef ENABLE_NLS
	bindtextdomain (GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
	bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
	textdomain (GETTEXT_PACKAGE);
#endif

	AppData *appdata;
	appdata = g_new0 (AppData, 1);

	gtk_set_locale ();
	gtk_init (&argc, &argv);

#ifdef HILDONIZED
	/* Initialize Maemo application */
	
    osso_context = osso_initialize(
        APPLICATION_DBUS_SERVICE, "0.1", TRUE, NULL);

    if (osso_context == NULL)
    {
        return OSSO_ERROR;
    }
	
#endif
	
	add_pixmap_directory (PACKAGE_DATA_DIR "/" PACKAGE "/pixmaps");

	appdata = create_window_main (appdata);
	gtk_widget_show (appdata->window_main);
	on_window_main_show (appdata);
	gtk_main ();
	return 0;
}
